For the complete documentation index, see llms.txt. This page is also available as Markdown.

Escalation Policies

List escalation policies.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 50Optional

the maximum number of results when paging through a list of escalation policies.

Default: 50
Responses
200

OK

application/json
idinteger · int64Optional
namestringRequired
repeatingbooleanOptionalDefault: false
frequencyinteger · int32 · min: 1 · max: 9OptionalDefault: 1
delayMininteger · int32 · max: 15OptionalDefault: 0
routingKeystringOptional

optional

get/escalation-policies
GET /api/escalation-policies HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "id": 1,
    "name": "text",
    "escalationRules": [
      {
        "escalationTimeout": 1,
        "user": {
          "id": 1
        },
        "schedule": {
          "id": 1
        },
        "team": {
          "id": 1
        },
        "users": [
          {
            "id": 1,
            "firstName": "text",
            "lastName": "text"
          }
        ],
        "schedules": [
          {
            "id": 1,
            "name": "text",
            "type": "STATIC"
          }
        ],
        "teams": [
          {
            "id": 1,
            "name": "text"
          }
        ]
      }
    ],
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "repeating": false,
    "frequency": 1,
    "delayMin": 0,
    "routingKey": "text",
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  }
]

Create a new escalation policy.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idinteger · int64Optional
namestringRequired
repeatingbooleanOptionalDefault: false
frequencyinteger · int32 · min: 1 · max: 9OptionalDefault: 1
delayMininteger · int32 · max: 15OptionalDefault: 0
routingKeystringOptional

optional

Responses
201

Created. The URI of the escalation policy is included in the Location header and the entity in the body

application/json
idinteger · int64Optional
namestringRequired
repeatingbooleanOptionalDefault: false
frequencyinteger · int32 · min: 1 · max: 9OptionalDefault: 1
delayMininteger · int32 · max: 15OptionalDefault: 0
routingKeystringOptional

optional

post/escalation-policies
POST /api/escalation-policies HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 358

{
  "id": 1,
  "name": "text",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "repeating": false,
  "frequency": 1,
  "delayMin": 0,
  "routingKey": "text"
}
201

Created. The URI of the escalation policy is included in the Location header and the entity in the body

{
  "id": 1,
  "name": "text",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "repeating": false,
  "frequency": 1,
  "delayMin": 0,
  "routingKey": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Resolve an escalation policy by routing key.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
routing-keystringRequired

routing key expression used to resolve the escalation policy, including ordered comma-separated keys or the special il:{...} policy reference format.

Responses
200

The resolved escalation policy

application/json
idinteger · int64Optional
namestringRequired
repeatingbooleanOptionalDefault: false
frequencyinteger · int32 · min: 1 · max: 9OptionalDefault: 1
delayMininteger · int32 · max: 15OptionalDefault: 0
routingKeystringOptional

optional

get/escalation-policies/resolve
GET /api/escalation-policies/resolve?routing-key=text HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": 1,
  "name": "text",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "repeating": false,
  "frequency": 1,
  "delayMin": 0,
  "routingKey": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Get escalation policy with the specified id.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
200Success
application/json
idinteger · int64Optional
namestringRequired
repeatingbooleanOptionalDefault: false
frequencyinteger · int32 · min: 1 · max: 9OptionalDefault: 1
delayMininteger · int32 · max: 15OptionalDefault: 0
routingKeystringOptional

optional

get/escalation-policies/{id}
GET /api/escalation-policies/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "id": 1,
  "name": "text",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "repeating": false,
  "frequency": 1,
  "delayMin": 0,
  "routingKey": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Update an existing escalation policy.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
idinteger · int64Optional
namestringRequired
repeatingbooleanOptionalDefault: false
frequencyinteger · int32 · min: 1 · max: 9OptionalDefault: 1
delayMininteger · int32 · max: 15OptionalDefault: 0
routingKeystringOptional

optional

Responses
200

The updated escalation policy

application/json
idinteger · int64Optional
namestringRequired
repeatingbooleanOptionalDefault: false
frequencyinteger · int32 · min: 1 · max: 9OptionalDefault: 1
delayMininteger · int32 · max: 15OptionalDefault: 0
routingKeystringOptional

optional

put/escalation-policies/{id}
PUT /api/escalation-policies/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 358

{
  "id": 1,
  "name": "text",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "repeating": false,
  "frequency": 1,
  "delayMin": 0,
  "routingKey": "text"
}
200

The updated escalation policy

{
  "id": 1,
  "name": "text",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "repeating": false,
  "frequency": 1,
  "delayMin": 0,
  "routingKey": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Delete the specified escalation policy.

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
204

if deletion was successful

delete/escalation-policies/{id}
DELETE /api/escalation-policies/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

if deletion was successful

No content

Get the escalation policy with the specified name.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
namestringRequired

unique name of the escalation policy

Responses
200Success
application/json
idinteger · int64Optional
namestringRequired
repeatingbooleanOptionalDefault: false
frequencyinteger · int32 · min: 1 · max: 9OptionalDefault: 1
delayMininteger · int32 · max: 15OptionalDefault: 0
routingKeystringOptional

optional

get/escalation-policies/name/{name}
GET /api/escalation-policies/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "id": 1,
  "name": "text",
  "escalationRules": [
    {
      "escalationTimeout": 1,
      "user": {
        "id": 1
      },
      "schedule": {
        "id": 1
      },
      "team": {
        "id": 1
      },
      "users": [
        {
          "id": 1,
          "firstName": "text",
          "lastName": "text"
        }
      ],
      "schedules": [
        {
          "id": 1,
          "name": "text",
          "type": "STATIC"
        }
      ],
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ]
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "repeating": false,
  "frequency": 1,
  "delayMin": 0,
  "routingKey": "text",
  "managedBy": {
    "type": "API",
    "source": "text"
  }
}

Replace an escalation rule at the specified level.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

levelinteger · int32Required

zero-based escalation level

Body
escalationTimeoutintegerRequired
Responses
200

The updated escalation rule

application/json
escalationTimeoutintegerRequired
put/escalation-policies/{id}/levels/{level}
PUT /api/escalation-policies/{id}/levels/{level} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 217

{
  "escalationTimeout": 1,
  "user": {
    "id": 1
  },
  "schedule": {
    "id": 1
  },
  "team": {
    "id": 1
  },
  "users": [
    {
      "id": 1,
      "firstName": "text",
      "lastName": "text"
    }
  ],
  "schedules": [
    {
      "id": 1,
      "name": "text",
      "type": "STATIC"
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}
200

The updated escalation rule

{
  "escalationTimeout": 1,
  "user": {
    "id": 1
  },
  "schedule": {
    "id": 1
  },
  "team": {
    "id": 1
  },
  "users": [
    {
      "id": 1,
      "firstName": "text",
      "lastName": "text"
    }
  ],
  "schedules": [
    {
      "id": 1,
      "name": "text",
      "type": "STATIC"
    }
  ],
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ]
}

Last updated

Was this helpful?